Package org.apache.sling.models.factory

# Class InvalidAdaptableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.models.factory.InvalidAdaptableException

All Implemented Interfaces:
  `Serializable`

@ProviderType public final class InvalidAdaptableException extends RuntimeException
Exception which is triggered whenever a Sling Model could not be instantiated because it could not be adapted from the given adaptable.

See Also:
  - `ModelFactory`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidAdaptableException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidAdaptableException

public InvalidAdaptableException(String message)